%global momorel 1
%global unstable 0
%if 0%{unstable}
#global svnrel 1062329
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.5.3
%global kdelibsrel 1m
%global qtver 4.6.3
%global qtrel 3m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.5.3
%global sourcedir %{release_dir}/%{ftpdirver}/src

Summary: K Desktop Environment - Games
Name: kdegames
Version: %{kdever}
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Amusements/Games
URL: http://games.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
NoSource: 0
Patch0: %{name}-4.4.95-trademarks.patch
Patch1: %{name}-4.5.0-palapeli-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): coreutils
Requires(pre): desktop-file-utils
Requires(pre): ggz-base-libs
Requires(pre): gtk2
Requires(pre): shared-mime-info
# for macros.kde4
Requires: %{name}-libs = %{version}-%{release}
BuildRequires: cmake >= %{cmakever}-%{cmakerel}
BuildRequires: ggz-base-libs-devel
BuildRequires: gluon-devel
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: desktop-file-utils

%if "%{?_ggz_version}" < "0.99.5"
%define _skip_ggzconfig -DSKIP_GGZCONFIG=1
Requires(post): ggz-base-libs
Requires(preun): ggz-base-libs
%endif

Obsoletes: ksudoku
Provides:  ksudoku
# kdegames includes kmj as kajongg
Obsoletes: kmj

%description
Games for the K Desktop Environment 4, including:
* bomber
* bovo
* granatier
* kajongg
* kapman
* katomic
* kblackbox
* kblocks
* kbounce
* kbreakout
* kdiamond
* kfourinline
* kgoldrunner
* kigo
* killbots
* kiriki
* kjumpingcube
* klines
* kmahjongg
* kmines
* knetwalk
* kolf
* kollision
* konquest
* kpat
* kreversi
* ksame
* kshisen
* ksirk
* ksnakeduel / ksnake
* ksinkships
* kspaceduel
* ksquares
* ksudoku
* ktuberling
* kubrick
* lskat
* palapeli

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Header files for compiling KDE 4 game applications
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel

%description devel
This package includes the header files you will need to compile
game applications for KDE 4.

%prep
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}

%patch0 -p1 -b .trademarks
%patch1 -p1 -b .fix-palapeli-desktop

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} %{?_skip_ggzconfig} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%if 0%{?_skip_ggzconfig:1}
# ggz.modules
rm -f %{buildroot}%{_sysconfdir}/ggz.modules
install -m644 -p -D kbattleship/src/module.dsc %{buildroot}%{_kde4_appsdir}/kbattleship/kbattleship.dsc
install -m644 -p -D kreversi/module.dsc %{buildroot}%{_kde4_appsdir}/kreversi/kreversi.dsc
install -m644 -p -D ksquares/src/module.dsc %{buildroot}%{_kde4_appsdir}/ksquares/ksquares.dsc
%endif

# revise kdiamond.desktop
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --add-category BoardGame \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kdiamond.desktop

# revise ksudoku.desktop
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --add-category StrategyGame \
  %{buildroot}%{_kde4_datadir}/applications/kde4/ksudoku.desktop

# revise kubrick.desktop
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --add-category StrategyGame \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kubrick.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%if 0%{?_skip_ggzconfig:1}
/usr/bin/ggz-config --install --force --modfile=%{_kde4_appsdir}/kbattleship/kbattleship.dsc ||:
/usr/bin/ggz-config --install --force --modfile=%{_kde4_appsdir}/kreversi/kreversi.dsc ||:
/usr/bin/ggz-config --install --force --modfile=%{_kde4_appsdir}/ksquares/ksquares.dsc ||:
%endif
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/locolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/locolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/locolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/locolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi

%if 0%{?_skip_ggzconfig:1}
%preun
if [ $1 -eq 0 ]; then
/usr/bin/ggz-config --remove --modfile=%{_kde4_appsdir}/kbattleship/kbattleship.dsc ||:
/usr/bin/ggz-config --remove --modfile=%{_kde4_appsdir}/kreversi/kreversi.dsc ||:
/usr/bin/ggz-config --remove --modfile=%{_kde4_appsdir}/ksquares/ksquares.dsc ||:
fi
%endif

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README
%{_kde4_bindir}/*
%{_kde4_appsdir}/bovo
%{_kde4_appsdir}/carddecks
%{_kde4_appsdir}/granatier
%{_kde4_appsdir}/kapman
%{_kde4_appsdir}/katomic
%{_kde4_appsdir}/kbattleship
%{_kde4_appsdir}/kblackbox
%{_kde4_appsdir}/kblocks
%{_kde4_appsdir}/bomber
%{_kde4_appsdir}/kajongg
%{_kde4_appsdir}/kbounce
%{_kde4_appsdir}/kbreakout
%{_kde4_appsdir}/kdegames
%{_kde4_appsdir}/kdiamond
%{_kde4_appsdir}/kfourinline
%{_kde4_appsdir}/kgoldrunner
%{_kde4_appsdir}/kigo
%{_kde4_appsdir}/killbots
%{_kde4_appsdir}/kiriki
%{_kde4_appsdir}/kjumpingcube
%{_kde4_appsdir}/klines
%{_kde4_appsdir}/kmahjongg
%{_kde4_appsdir}/kmahjongglib
%{_kde4_appsdir}/kmines
%{_kde4_appsdir}/knetwalk
%{_kde4_appsdir}/kolf
%{_kde4_appsdir}/kollision
%{_kde4_appsdir}/konquest
%{_kde4_appsdir}/kpat
%{_kde4_appsdir}/kreversi
%{_kde4_appsdir}/ksame
%{_kde4_appsdir}/kshisen
%{_kde4_appsdir}/ksirk
%{_kde4_appsdir}/ksirkskineditor
%{_kde4_appsdir}/kspaceduel
%{_kde4_appsdir}/ksquares
%{_kde4_appsdir}/ksudoku
%{_kde4_appsdir}/ktron
%{_kde4_appsdir}/ktuberling
%{_kde4_appsdir}/kubrick
%{_kde4_appsdir}/lskat
%{_kde4_appsdir}/palapeli
%{_kde4_appsdir}/kconf_update/*
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/kde4/services/ServiceMenus/*
%{_kde4_datadir}/kde4/services/kbattleship.protocol
%{_kde4_datadir}/kde4/services/palapeli_*.desktop
%{_kde4_datadir}/kde4/services/palathumbcreator.desktop
%{_kde4_datadir}/kde4/servicetypes/libpala-slicerplugin.desktop
%{_kde4_datadir}/mime/packages/*.xml
%{_kde4_datadir}/sounds/*.ogg
%{_kde4_datadir}/sounds/kapman
%{_kde4_datadir}/sounds/kshisen
%{_kde4_docdir}/HTML/en/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/locolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/*
%if 0%{?_skip_ggzconfig:1}
%else
%{_sysconfdir}/ggz.modules.d/kdegames
%endif

%files libs
%defattr(-,root,root,-)
%doc COPYING
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libkcardgame.so

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/modules/*
%{_kde4_includedir}/*.h
%{_kde4_includedir}/KDE/*
%{_kde4_includedir}/Pala
%{_kde4_includedir}/digits
%{_kde4_includedir}/highscore
%{_kde4_includedir}/kgame
%{_kde4_includedir}/kggzgames
%{_kde4_includedir}/kggzmod
%{_kde4_includedir}/kggznet
%{_kde4_includedir}/libpala
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libkcardgame.so
%{_kde4_libdir}/libpala

%changelog
* Fri Nov 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.3-1m)
- update to KDE 4.5.3

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.0-2m)
- full rebuild for mo7 release

* Wed Aug 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-1m)
- update to KDE 4.5.0

* Wed Jul 28 2010 ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.95-2m)
- fix build with new ggz

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.95-1m)
- update to KDE 4.5 RC3 (4.4.95)

* Fri Jul  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.5-2m)
- fix up palapeli.desktop

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.5-1m)
- update to KDE 4.4.5

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-2m)
- rebuild against qt-4.6.3-1m

* Thu Jun  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-1m)
- update to KDE 4.4.4

* Thu May  6 2010 NARITA Koichi <pulsar@momonga-linuxorg>
- (4.4.3-1m)
- update to KDE 4.4.3

* Thu Apr  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-1m)
- update to KDE 4.4.2

* Fri Mar  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.1-1m)
- update to KDE 4.4.1

* Thu Feb 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-1m)
- update to KDE 4.4.0

* Fri Feb  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.98-1m)
- update to KDE 4.4 RC3 (4.3.98)

* Mon Jan 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.95-1m)
- update to KDE 4.4 RC2 (4.3.95)

* Sat Jan 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.90-2m)
- add gluon support

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.90-1m)
- update to KDE 4.4 RC1 (4.3.90)

* Tue Dec 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.85-1m)
- update to KDE 4.4 beta2 (4.3.85)

* Sat Dec 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.82-1m)
- update to 4.3.82

* Thu Dec 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.80-1m)
- update to KDE 4.4 beta1 (4.3.80)

* Thu Dec  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.4-1m)
- update to KDE 4.3.4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.3-1m)
- [SECURITY] http://www.ocert.org/advisories/ocert-2009-015.html
- update to KDE 4.3.3

* Wed Oct  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.2-1m)
- update to KDE 4.3.2

* Fri Sep  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to KDE 4.3.1

* Thu Aug  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to KDE 4.3.0 official release

* Fri Jul 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.98-1m)
- update to KDE 4.3 RC3 (4.2.98)

* Sat Jul 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to KDE 4.3 RC2 (4.2.96)
- reenable and rebrand the ship sinking game and the snake duel game (#502359)

* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- update to KDE 4.3 RC (4.2.95)

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.91-1m)
- update to 4.2.91

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.90-1m)
- update to KDE 4.3 beta 2 (4.2.90)

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.89-1m)
- update to 4.2.89

* Sat Jun  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.88-1m)
- update to 4.2.88

* Thu Jun  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4-1m)
- update to KDE 4.2.4

- * Sat May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-1m)
- - update to 4.2.88

- * Fri May 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-1m)
- - update to 4.2.87

- * Thu May 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-2m)
- - rebuild with new source

- * Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - update to 4.2.85

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.3-1m)
- update to KE 4.2.3

- * Fri May  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - update to 4.2.85

- * Sat May  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.71-1m)
- - update to 4.2.71

- * Sun Apr 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.70-1m)
- - update to 4.2.70

- * Sun Apr 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.69-1m)
- - update to 4.2.69

* Mon Apr  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.2-2m)
- PreReq: coreutils
- PreReq: desktop-file-utils
- PreReq: gtk2
- PreReq: shared-mime-info

* Fri Apr  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.2-1m)
- update to KE 4.2.2

* Fri Mar  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-1m)
- update to KE 4.2.1
- remove unused patch

* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to KDE 4.2.0

* Tue Jan 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.96-1m)
- update to KDE 4.2 RC

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-1m)
- update to 4.1.87

* Sat Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.85-1m)
- update to 4.1.85

* Wed Dec 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.82-1m)
- update to 4.1.82

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-1m)
- update to 4.1.81

* Fri Nov 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.80-1m)
- update to 4.1.80

* Fri Nov 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.73-1m)
- update to 4.1.73

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.72-1m)
- update to 4.1.72

* Fri Oct 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.71-1m)
- update to 4.1.71

* Sun Oct 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-2m)
- no REMOVE.PLEASE

* Sat Oct 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-1m)
- update to 4.1.70

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.69-1m)
- update to 4.1.69

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.68-1m)
- update to 4.1.68

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-1m)
- update to 4.1.67

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.66-1m)
- update to 4.1.66

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-1m)
- update to 4.1.65

* Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.64-1m)
- update to 4.1.64

* Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.63-1m)
- update to 4.1.63

* Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.62-1m)
- update to 4.1.62

* Tue Aug 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.61-1m)
- update to 4.1.61

* Tue Aug 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-2m)
- add PreReq: ggz-client-libs

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85

* Sun Jun 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.83-1m)
- update to KDE 4.1 beta 1

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.80-2m)
- fix up kdiamond.desktop and ksudoku.desktop

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.80-1m)
- update to KDE 4.1 beta 1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- update to 4.0.4

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3
- import Patch0 from Fedora devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-3m)
- rebuild against gcc43

* Sat Mar 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-2m)
- delete -D and --force options from %%post scripts

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2

* Wed Feb 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-2m)
- revise ksudoku.desktop

* Sat Feb  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- update to KDE4

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against kdelibs etc.

* Mon Jan 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete unused upstream patch

* Fri Dec 15 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-3m)
- import upstream patch to fix following problem
  #128797, one shortcut for two functions should be reconsidered

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.5-2m)
- rebuild against expat-2.0.0-2m

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-3m)
- rebuild against kdelibs-3.5.4-3m kdebase-3.5.4-11m

* Fri Aug 18 2006 Nishio Futoshi <futoshi@momonga-linix.org>
- (3.5.4-2m)
- rebuild against kdelibs-3.5.4-2m
- rebuild against kdebase-3.5.4-6m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-2m)
- rebuild with avahi (enable Zeroconf support)
- import kdegames-3.5.0-add-support-avahi.patch from cooker
 +* Wed Feb 01 2006 Laurent Montel <lmontel@mandriva.com>
 ++ 2006-02-01 18:56:05 (1547)
 +- Fix spec file
 +  Fix avahi support
 +* Wed Jan 25 2006 Laurent Montel <lmontel@mandriva.com>
 ++ 2006-01-25 17:20:10 (1466)
 +- Add support for avahi
 +* Mon Jan 23 2006 Laurent Montel <lmontel@mandriva.com>
 ++ 2006-01-23 20:25:46 (1452)
 +- Use avahi

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Sun Feb 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-2m)
- remove --enable-highscore-dir from configure

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: kdebase, perl

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release

* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sun Mar 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Dec 27 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- no changes since 3.1.1

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    Atlantik: Many small bugfixes, including:
      Better handling of incoming messages
      Fixed token animation
    kbackgammon: Common crash fix.

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdelibs-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- nigirisugi.
- revised spec file.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- don't use file.lst (jitterbug #873)

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild agaisnt new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- add GIF Support switch.
- release.

* Sat Oct 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.3k]
- modified %clean.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modified Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.
- rm kjumpingcube. sorry.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
